
QGIS Application - Bug report #15236

'Check geometries' plugin fails to fix sliver polygons when 'Output vector layer' is set to 'Create new 

layer'

2016-07-07 09:03 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23172

Description

Here the sliver polygon check fails with an exception when 'Output vector layer' is set to 'Create new layer'.

'Exception: normalized vector of null vector undefined'

History

#1 - 2016-07-07 09:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is possible to attach same sample data? thanks.

#2 - 2016-07-07 11:51 AM - R. R.

Unfortunately, I can not attach the geometries due to the proprietary nature of the file.

#3 - 2016-07-10 11:47 AM - R. R.

- File 15236_exception.mp4 added

- File 15236_exception.zip added

The minimal polygon area check may throw the same exception (see attached files).

#4 - 2016-07-14 08:39 AM - Sandro Mani

- Status changed from Feedback to Closed

Fixed in commit:046386e

Files

normalized_vector_of_null_vector_undefined.png 68.2 KB 2016-07-07 R. R.

15236_exception.zip 3.78 KB 2016-07-10 R. R.

15236_exception.mp4 1.08 MB 2016-07-10 R. R.
